summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGustavo Zacarias <gustavo@zacarias.com.ar>2013-07-31 16:27:01 (GMT)
committer Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2013-07-31 17:07:15 (GMT)
commit2eac7aea23f2377c63a11d0c432ebdcaaccc40f1 (patch)
tree831b45c20cff814974ee487adcf43b682626319c
parentc1765637172d31eee63ad955055786d75d8cb4ca (diff)
downloadbuildroot-2eac7aea23f2377c63a11d0c432ebdcaaccc40f1.tar.gz
buildroot-2eac7aea23f2377c63a11d0c432ebdcaaccc40f1.tar.bz2
qt5jsbackend: needs ARM v5+
Just like nodejs and other v8-based javascript engines for ARM interwork it needs the BLX instruction which is only available on V5+ cores. Fixes: http://autobuild.buildroot.net/results/853/853cd29bf427902b2cb82a101964a4e45714cb86/ Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
-rw-r--r--package/qt5/qt5jsbackend/Config.in2
1 files changed, 2 insertions, 0 deletions
diff --git a/package/qt5/qt5jsbackend/Config.in b/package/qt5/qt5jsbackend/Config.in
index 2f5ac1f..d9301d0 100644
--- a/package/qt5/qt5jsbackend/Config.in
+++ b/package/qt5/qt5jsbackend/Config.in
@@ -2,6 +2,8 @@ config BR2_PACKAGE_QT5JSBACKEND_AVAILABLE
bool
# v8 is only available on certain architectures
depends on BR2_arm || BR2_i386 || BR2_x86_64 || BR2_mipsel
+ # ARM needs BLX, so v5t+
+ depends on !(BR2_arm7tdmi || BR2_arm720t || BR2_arm920t || BR2_arm922t || BR2_fa526)
default y
config BR2_PACKAGE_QT5JSBACKEND